#ifndef HAVE_SKKUTILS_H
#define HAVE_SKKUTILS_H
#include <glib.h>

/* String */
gint skk_utils_strlen (const gchar *str);
gint skk_utils_charbytes (const gchar *str);
gint skk_utils_charbytes_nth (const gchar *str, guint nth);
gint skk_utils_last_charbytes (const gchar *str);

/* List */
void skk_utils_list_free (GList *list, gboolean need_free);
GList* skk_utils_list_merge_string (GList *list, GList *list2);
gchar* skk_utils_list_to_string_all (GList *list, gchar *delim);

#endif /* HAVE_SKKUTILS_H */
