#!/usr/bin/perl
# not yet finished
#
use FileHandle;


my $file = FileHandle->new();
my $header = FileHandle->new();

$file->open("skk-rom-kana-base-rule-list","r") or die "Can't open\n";
$header->open("skkconv_kana_private.h","w") or die "Can't open\n";

$header->print(header_init ());
$header->print ("base_rule_list baselist[] = {\n");
while (my $line = $file->getline())
{
	my $res = "";
	if ($res = parse_normal ($line)) {
		$header->print ($res);
	} elsif ($res = parse_normal_same ($line)) {
		$header->print ($res);
	} elsif ($res = parse_func ($line)) {
		$header->print ($res);
	}
}
$header->print ("};\n");
$header->print(header_end ());

$file->close();
$header->close();


sub parse_normal ($)
{
	my $ref = shift;
	my $append;
	$ref =~ m/\"(.+)\" (.+) \(\"(.+)\" \. \"(.+)\"\)\)/;
	if ($1 && $2 && $3 && $4) {
		if ($2 eq "nil") {
			$append = "NULL";
		} else {
			$append = $2;
		}
		return qq|	{	"$1",	$append,	"$3",	"$4",	SKKCONV_TYPE_NORMAL	},\n|;
	}
	return undef;
}

sub parse_normal_same ($)
{
	my $ref = shift;
	my $append;
	$ref =~ m/\"(.+)\" (.+) \"(.+)\"\)/;
	if ($1 && $2 && $3) {
		if ($2 eq "nil") {
			$append = "NULL";
		} else {
			$append = $2;
		}
		return qq|	{	"$1",	$append,	"$3",	"$3",	SKKCONV_TYPE_NORMAL	},\n|;
	}
	return undef;
}

sub parse_func ($)
{
	my $ref = shift;
	my $append;
	$ref =~ m/\"(.+)\" (.+) (.+)\)/;
	if ($1 && $2 && $3) {
		if ($2 eq "nil") {
			$append = "NULL";
		} else {
			$append = $2;
		}
		return qq|	{	"$1",	$append,	"$3",	"NULL",	SKKCONV_TYPE_FUNC\t},\n|;
	}
	return undef;
}

sub header_init ()
{
	return <<'EOF';
#ifndef SKKCONV_KANA_PRIVATE_H
#define SKKCONV_KANA_PRIVATE_H
#include <glib.h>

#include "skkconv_kana.h"
#
/* This file is generated from skk.el (skk-rom-kana-base-rule-list) */

EOF
}

sub header_end ()
{
	return <<'EOF';

#endif /* SKKCONV_KANA_PRIVATE_H */
EOF
}
